# $Revision: 1.229 $, $Date: 2011/08/31 18:30:28 $
#
# Conditional build:
%bcond_without	aspell		# without spell checking
%bcond_without	voip		# without VoIP support
%bcond_without	python		# with python support
%bcond_without	pthread		# build with Posix threads support
%bcond_with	ioctl_daemon	# with ioctl_daemon (suid root)
%bcond_with	lock_reason	# with lock_reason patch
#
Summary:	A client compatible with Gadu-Gadu
Summary(de.UTF-8):	Ein Cliente kompatibel mit Gadu-Gadu
Summary(es.UTF-8):	Un cliente compatible con Gadu-Gadu
Summary(it.UTF-8):	Un cliente compatibile con Gadu-Gadu
Summary(pl.UTF-8):	Klient kompatybilny z Gadu-Gadu
Name:		ekg
Version:	1.7
Release:	11
Epoch:		4
License:	GPL v2
Group:		Applications/Communications
Source0:	http://ekg.chmurka.net/%{name}-%{version}.tar.gz
# Source0-md5:	2aa92b56517fdf09d75519a105772b74
Source1:	%{name}.conf
Patch0:		%{name}-LDFLAGS.patch
Patch1:		%{name}-lock_reason.patch
Patch2:		%{name}-external_libgadu.patch
URL:		http://ekg.chmurka.net/
BuildRequires:	%{_bindir}/perl
%{?with_aspell:BuildRequires:	aspell-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libgadu-devel >= 4:1.7.0
%{?with_voip:BuildRequires:	libgsm-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
%if %{with python}
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
%endif
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
Requires:	libgadu >= 4:1.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source gadu-gadu
client for UNIX systems. Gadu-Gadu is an instant messaging program,
very popular in Poland.

EKG features include:
  - irssi-like ncurses interface
  - sending and receiving files
  - voice conversations
  - launching shell commands on certain events
  - reading input from pipe
  - python scripting support
  - speech synthesis (using an external program)
  - encryption support

Please note that the program is not internationalized and all messages
are in Polish (although the commands are in English).

%description -l de.UTF-8
Ein Cliente kompatibel mit Gadu-Gadu.

%description -l es.UTF-8
Un cliente compatible con Gadu-Gadu.

%description -l it.UTF-8
Un cliente compatibile con Gadu-Gadu.

%description -l pl.UTF-8
EKG ("Eksperymentalny Klient Gadu-Gadu") jest open source'owym
klientem gadu-gadu dla systemów uniksowych. Gadu-Gadu to popularny w
Polsce komunikator internetowy.

Możliwości EKG:
  - interfejs użytkownika podobny do irssi,
  - wysyłanie i odbieranie plików,
  - rozmowy głosowe,
  - uruchamianie poleceń powłoki w określonych sytuacjach,
  - wczytywanie wejścia z potoku,
  - wsparcie dla skryptów w języku Python,
  - synteza mowy (z użyciem zewnętrznego programu),
  - wsparcie dla szyfrowania.

Program nie jest umiędzynarodowiony i wszystkie komunikaty są po
polsku (jednak komendy są w języku angielskim).

%prep
%setup -q
%patch0 -p0
%if %{with lock_reason}
%patch1 -p1
%endif
%patch2 -p0

# /usr/bin/ld: ui-ncurses.o: undefined reference to symbol 'nodelay'
# /usr/bin/ld: note: 'nodelay' is defined in DSO /lib64/libtinfo.so.5 so try adding it to the linker command line
sed -i -e 's/-lncurses/-lncurses -ltinfo/' m4/curses.m4

%build
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%configure \
	CFLAGS_LIBGADU="%{rpmcflags}" \
	--enable-dynamic \
	--enable-shared \
	--enable-static \
%if %{with pthread}
	--with-pthread \
%else
	--without-pthread \
%endif
	--without-bind \
	%{?with_python:--with-python} \
	%{!?with_voip:--without-libgsm} \
	%{?with_aspell:--enable-aspell} \
	%{?with_ioctl_daemon:--enable-ioctld}

%{__make}

%if %{with ioctl_daemon}
%{__make} -C src ioctld
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install install-ekl2 \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

# For libgadu-devel

rm -f examples/Makefile examples/Makefile.in examples/.cvsignore
rm -rf examples/CVS

%if %{with ioctl_daemon}
install src/ioctld $RPM_BUILD_ROOT%{_bindir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/{7thguard,dcc,files,gdb,python,sim,themes,ui-ncurses,vars,voip}.txt
%{?with_aspell:%doc docs/slownik.txt}
%doc ChangeLog docs/{FAQ,README,TODO,ULOTKA} docs/emoticons.{ansi,sample}
%attr(755,root,root) %{_bindir}/e*
%{?with_ioctl_daemon:%attr(4755,root,root) %{_bindir}/ioctld}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%{_datadir}/ekg
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ekg.spec,v $
Revision 1.229  2011/08/31 18:30:28  arekm
- release 11

Revision 1.228  2010/11/08 18:41:13  shadzik
- rel 10

Revision 1.227  2010/08/20 16:12:45  glen
- fix curses linking; rel 9

Revision 1.226  2010/07/09 11:14:37  arekm
- release 8

Revision 1.225  2010/07/08 07:45:31  arekm
- release 7

Revision 1.224  2010/05/19 17:25:04  sparky
- BR: pkgconfig, python-modules

Revision 1.223  2010/04/11 17:05:10  arekm
- release 6

Revision 1.222  2008/12/26 02:14:50  adamg
- previous commit reverted (mistake)

Revision 1.221  2008/12/26 01:52:47  adamg
- updated to 1.3.2

Revision 1.220  2008/10/03 17:42:34  arekm
- release 5

Revision 1.219  2008-05-18 16:19:26  adamg
- previous commit reverted (mistake)

Revision 1.217  2007-06-20 15:52:06  qboosh
- keep versioned libgadu R

Revision 1.216  2007/06/20 08:54:40  shadzik
- remove whole libgadu stuff
- BR libgadu-devel
- add -external_libgadu.patch
- rel 4

Revision 1.215  2007/06/18 18:45:26  shadzik
- no strict libgadu R

Revision 1.214  2007/06/14 22:52:42  glen
- rel 2

Revision 1.213  2007/05/31 21:26:58  shadzik
- aply LDFLAGS.patch (actualy it breaks build)

Revision 1.212  2007/05/31 21:03:28  shadzik
- up to 1.7
- NFY (i'm looking on the patches)

Revision 1.211  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.210  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.209  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.208  2006/09/03 20:12:58  wiget
- rel. 3 (rebuild with python 2.5)

Revision 1.207  2006/08/19 14:29:14  adamg
- lock_reason bcond && patch

Revision 1.206  2006/08/06 10:12:58  wolf
- rel 2

Revision 1.205  2006/08/03 01:45:47  sparky
- LDFLAGS patch
- better way for building libgadu with correct cflags

Revision 1.204  2006/07/27 21:28:58  paszczus
- switched to new URL

Revision 1.203  2006/02/25 18:59:12  sparky
- add %{rpmcflags} to CC, else libgadu is built without them

Revision 1.202  2006/02/19 23:18:54  qboosh
- added jpeg patch, use shared libgadu in ekg

Revision 1.201  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.200  2005/12/06 19:32:36  qboosh
- no need to specify default attr

Revision 1.199  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.198  2005/10/29 20:19:34  arekm
- up to final 1.6; dropped yesterday_snapshot support

Revision 1.197  2005/09/28 10:05:55  zboczuch
- pl fix

Revision 1.196  2005/07/27 12:35:26  blekot
- reverted glen commit (ekg is not vulnerable to this bug in this version)

Revision 1.195  2005/07/27 11:50:17  glen
- todo security

Revision 1.194  2005/07/18 19:35:06  lukasz
- rc3
- security fix

Revision 1.193  2005/07/03 00:21:44  ankry
- tabs

Revision 1.192  2005/07/02 15:19:27  teodor
- added yesterday_snapshot (patch made by Adam Mikuta)

Revision 1.191  2005/06/26 13:53:52  djurban
- kopete requires ekg WITH PTHREAD, turn on by default

Revision 1.190  2005/04/29 00:21:55  charles
- BR: python if bcond with_python

Revision 1.189  2005/03/20 16:24:57  adamg
- updated to 1.6rc1

Revision 1.188  2005/03/19 18:34:51  adamg
- one tab too much in bcond description for pthread
- dropped kadu-0_3_6.patch (changes already applied)
- better en/pl description (shamelessly stolen from Debian)

Revision 1.187  2005/03/19 18:22:07  adamg
- updated to 20050318 snap (a _lot_ of bugfixes since 1.5)

Revision 1.186  2005/02/23 18:28:31  mmazur
- pthread support is really borked in libgadu; off by default

Revision 1.185  2005/01/05 22:36:36  havner
- rel 5 for aspell 0.50 rebuild

Revision 1.184  2004/12/30 12:11:55  sparky
- remove libgadu version change, it isn't snap anymore

Revision 1.183  2004/12/25 19:34:39  saq
- release 4 for rebuild with python 2.4

Revision 1.182  2004/12/24 22:07:29  adamg
- release 3 to rebuild with python 2.4

Revision 1.181  2004/10/17 07:41:18  paszczus
- massive attack: added Source0-size

Revision 1.180  2004/09/15 13:06:07  kolodko
- corrected bcond with_ioctl_daemon

Revision 1.179  2004/08/01 05:09:40  domelu
- default bcond --with python

Revision 1.178  2004/07/28 18:11:04  qboosh
- strict internal deps, cleanups

Revision 1.177  2004/07/28 17:19:09  paszczus
- removed commented Source0, %setup, Release
- removed snap version
- release 1

Revision 1.176  2004/07/28 17:02:14  paszczus
- little cleanup
- updated to FINAL 1.5
- removed %{snap} from release
- release 4

Revision 1.175  2004/06/09 18:12:00  zboczuch
- doc for aspell support included
- rel .3

Revision 1.174  2004/06/08 22:21:36  adamg
- added aspell support (previously tested on DEVEL)

Revision 1.173  2004/05/25 10:11:41  adgor
- Ops.. rel 0.%%{_snap}.1

Revision 1.172  2004/05/25 09:58:56  adgor
- 20040524

Revision 1.171  2004/04/22 21:26:40  arekm
- define nicer version for gg_libgadu_version(); rel .2

Revision 1.170  2004/04/18 14:48:47  areq
- ekg 1.5rc1 snap 20040417

Revision 1.169  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.168  2004/03/07 13:21:31  adamg
- reverted last change - PLD-doc/new-style-bconds.txt says we shouldn't
  use ?without_foo

Revision 1.167  2004/03/07 12:34:11  adamg
- really use new style bconds

Revision 1.166  2004/01/17 08:23:33  undefine
- release 5 to allow upgrade from RA

Revision 1.165  2004/01/06 19:46:33  qboosh
- s/openssh-devel/openssl-devel/, cleanups/unifications

Revision 1.164  2004/01/06 11:43:55  averne
- added missing B: openssh-devel to libgadu-devel

Revision 1.163  2003/12/28 13:45:09  grzegol
- added -I m4 to %%{__aclocal}

Revision 1.162  2003/11/22 18:51:52  arekm
- rel 3

Revision 1.161  2003/11/22 17:11:24  arekm
- add some changes from kadu (compatible)

Revision 1.160  2003/11/17 23:51:10  saq
- es translations
- fixes in the others

Revision 1.159  2003/11/17 23:26:44  arekm
- final 1.4

Revision 1.158  2003/11/05 06:10:30  domelu
- added (now build fine --with python):
  %{__make} CC="%{__cc} %{rpmcflags} -Wall -I/usr/include/ncurses"

Revision 1.157  2003/10/28 13:54:55  adgor
- Cosmetics

Revision 1.156  2003/10/24 22:41:09  arekm
- updated to 1.4rc2

Revision 1.155  2003/10/12 15:43:28  leafnode
- corrected dirname

Revision 1.154  2003/10/12 15:34:32  leafnode
- moved examples to proper place

Revision 1.153  2003/10/04 13:48:54  arekm
- updated to 20031003 snapshot

Revision 1.152  2003/10/01 22:06:28  adamg
- updated to snap 20031001 (support for gg6)

Revision 1.151  2003/09/30 20:18:21  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.150  2003/09/20 12:52:42  arekm
- new bconds, voip enabled by default

Revision 1.149  2003/09/20 11:31:08  arekm
- updated to 1.4 snapshot

Revision 1.148  2003/09/11 21:54:03  erjot
- Haha up to 1.3
- support for GG 6

Revision 1.147  2003/09/10 21:03:06  erjot
- vesion 1.2 (DoS bugfix)
- fix docs

Revision 1.146  2003/08/30 16:37:18  adamg
- updated to 1.2rc1

Revision 1.145  2003/08/20 19:49:25  krzak
- rel 2 just to rebuild with fixed openssl.pc

Revision 1.144  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.143  2003/08/11 20:44:54  ankry
cosmetics

Revision 1.142  2003/07/13 15:43:11  erjot
- fix License

Revision 1.141  2003/07/11 15:49:19  blues
- cosmetics

Revision 1.140  2003/07/11 07:37:16  adamg
- updated to 1.1

Revision 1.139  2003/07/08 17:20:58  blues
- next part of small fixes inpired by kloczek :)

Revision 1.138  2003/07/07 21:29:03  freetz
- up to 1.1rc2 version

Revision 1.137  2003/06/22 00:07:50  jareq
- fixed epoch:version issue

Revision 1.136  2003/06/09 18:54:25  erjot
- fix release (thx blues)

Revision 1.135  2003/06/09 06:41:07  erjot
- up to 1.1rc1
- typo

Revision 1.134  2003/06/03 22:32:55  lukasz
- up to 20030603

Revision 1.133  2003/05/30 07:09:27  erjot
- up to 2003.05.29 ("... psujacy zabawe blad off-by-one w ioctld.")

Revision 1.132  2003/05/27 11:56:29  adgor
- Version 1.0; Release 3.%%{_snapshot}.1; Epoch 3

Revision 1.131  2003/05/25 12:48:48  erjot
- up to 20030521 (support for tls)
- bcond: without -> with voip
- typos

Revision 1.130  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.129  2003/05/25 05:47:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.128  2003/05/10 20:16:09  radek
- BR: _bindir/perl instead of perl (is it really needed?)

Revision 1.127  2003/04/27 13:06:33  blues
- cosmetics in files

Revision 1.126  2003/04/22 17:20:35  misi3k
- %%setup fix

Revision 1.125  2003/04/22 16:34:15  adamg
- updated to 1.0
- release 3
